#include <jni.h>
#include <Python.h>

#include "PyJava.h"

JNIEXPORT void JNICALL Java_PyJava_Py_1Initialize
  (JNIEnv *env, jobject obj)
{
  Py_Initialize();
}

JNIEXPORT void JNICALL Java_PyJava_PyRun_1SimpleString
  (JNIEnv *env, jobject obj, jstring str)
{
  // convert jstring to char*
  const char* cStr = (*env)->GetStringUTFChars(env, str, 0);

  // call Python method
  PyRun_SimpleString(cStr);

  // release resources
  (*env)->ReleaseStringUTFChars(env, str, cStr);
}
