public class PyJava {
  static {
    System.loadLibrary("PyJava");
  }

  public native void Py_Initialize();
  public native void PyRun_SimpleString(String command);

  public void run(String cmd) {
    Py_Initialize();
    PyRun_SimpleString(cmd);
  }

  public static void main(String[] args) {
    // build command from arguments
    StringBuilder sb = new StringBuilder();
    for (String arg : args) {
      sb.append(arg);
      sb.append(" ");
    }
    //sb.append(System.getProperty("line.separator"));
    String cmd = sb.toString();

    System.out.println("Executing command: " + cmd);

    PyJava p = new PyJava();
    p.run(cmd);

    System.out.println("Done!");
  }
}
